/// <reference types="node" />
import { Config, HtmlConfig, PdfConfig } from './config';
export declare type Output = PdfOutput | HtmlOutput;
export interface PdfOutput extends BasicOutput {
    content: Buffer;
}
export interface HtmlOutput extends BasicOutput {
    content: string;
}
interface BasicOutput {
    filename: string | undefined;
}
/**
 * Close the browser instance.
 */
export declare const closeBrowser: () => Promise<void | undefined>;
/**
 * Generate the output (either PDF or HTML).
 */
export declare function generateOutput(html: string, relativePath: string, config: PdfConfig): Promise<PdfOutput>;
export declare function generateOutput(html: string, relativePath: string, config: HtmlConfig): Promise<HtmlOutput>;
export declare function generateOutput(html: string, relativePath: string, config: Config): Promise<Output>;
export {};
